> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Donor Information

> Allows a donor to get their information.



## OpenAPI

````yaml get /frontend/donor/dashboard/details/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/details/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Frontend Donor
      summary: Get Donor Information
      description: Allows a donor to get their information.
      operationId: 7f93092ae6ed33d01d685e31c28c9892
      parameters:
        - name: client_id
          in: path
          description: Client ID associated with the donor
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID associated with the donor
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID for the donor
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Donor information retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  client_id:
                    type: integer
                  program_id:
                    type: integer
                  session_id:
                    type: string
                  donor_fields:
                    type: array
                    items:
                      type: string
                  email:
                    type: string
                  username:
                    type: string
                  donor_profile:
                    type: object
                  do_not_email:
                    type: boolean
                  disable_program_link:
                    type: string
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid request
                type: object
      security:
        - sessionIdAuth: []
components:
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````